org.apache.hadoop.yarn.api.records.impl.pb

## Class RejectedSchedulingRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest
  - - org.apache.hadoop.yarn.api.records.impl.pb.RejectedSchedulingRequestPBImpl

-     public class RejectedSchedulingRequestPBImpl
      extends org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest

  Implementation of RejectedSchedulingRequest.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RejectedSchedulingRequestPBImpl()`
    `RejectedSchedulingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.RejectedSchedulingRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.proto.YarnProtos.RejectedSchedulingRequestProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.RejectionReason` | `getReason()`
    `org.apache.hadoop.yarn.api.records.SchedulingRequest` | `getRequest()`
    `int` | `hashCode()`
    `void` | `setReason(org.apache.hadoop.yarn.api.records.RejectionReason reason)`
    `void` | `setRequest(org.apache.hadoop.yarn.api.records.SchedulingRequest req)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RejectedSchedulingRequestPBImpl

          public RejectedSchedulingRequestPBImpl()

    - #### RejectedSchedulingRequestPBImpl

          public RejectedSchedulingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.RejectedSchedulingRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.RejectedSchedulingRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getReason

          public org.apache.hadoop.yarn.api.records.RejectionReason getReason()

      Specified by:
        `getReason` in class `org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest`

    - #### setReason

          public void setReason(org.apache.hadoop.yarn.api.records.RejectionReason reason)

      Specified by:
        `setReason` in class `org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest`

    - #### getRequest

          public org.apache.hadoop.yarn.api.records.SchedulingRequest getRequest()

      Specified by:
        `getRequest` in class `org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest`

    - #### setRequest

          public void setRequest(org.apache.hadoop.yarn.api.records.SchedulingRequest req)

      Specified by:
        `setRequest` in class `org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.